Eclipse GEF 3.3

## org.eclipse.gef.editparts
Interface LayerManager

All Known Implementing Classes:
  FreeformGraphicalRootEditPart, GraphicalRootEditPart, ScalableRootEditPart

public interface LayerManager

Responsible for locating layers in a `GraphicalViewer`. Layers are just transparent `figures`.

Typically, the `RootEditPart` will register() itself as the LayerManager for the GraphicalViewer. All other EditParts/EditPolicies looking for a layer use the Viewer's `editPartRegsitry` to find the `LayerManager`.

Since:
  2.0

Nested Class Summary
`static class` `LayerManager.Helper` A static helper

Field Summary
`static java.lang.Object` `ID` This key used to register the LayerManager in the Viewer's EditPartRegistry.

Method Summary
`IFigure` `getLayer(java.lang.Object key)` Returns a specified layer.

Field Detail

### ID

    public static final java.lang.Object ID

  This key used to register the LayerManager in the Viewer's EditPartRegistry.

Method Detail

### getLayer

    public IFigure getLayer(java.lang.Object key)

  Returns a specified layer.

  Parameters:
    `key` - a key identifying the layer
  Returns:
    the specified layer

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.